require 'r9p.rb'

module R9P
	include Client::Constants

	Client.new('unix!/tmp/ns.kris.:1/wmii') { |c|
		c.open('/') { |f|
			f.readdir.each { |f| 
				puts "/#{f.name}:"
				f.fields.each_pair { |k, v|
					puts "\t#{k.id2name}: #{v.inspect}"
				}
			}
		}

		c.open('/keys') { |f|
			puts "\n/keys:"
			print f.read
		}

		name = "Foo"
		path = ["/rbar/foo", "/rbar/bar"]
		if c.stat(path[0])
			name = "Bar"
			t = path.shift
			path.push t
		else
			c.create(path[1]) {}
		end
		puts "Stat of #{path[1]}: #{c.stat path[1]}"
		c.remove(path[1])
		f = c.create(path[0], OWRITE) { |f|
			f.write "#000000 #FFFFFF #000000 #{name}"
		}

		c.open('/ctl', OREAD) { |f|
			f.to_fd { |fd|
				print "From /ctl: #{fd.readline}"
			}
		}
	}
end
